Evolution
Keywords: uk.ac.bbk.dcs.automed.evolution2.Evolution interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution2
Interface Evolution

All Known Implementing Classes:
  DataEvolution, ExtensionalSchemaEvolution, IntegratedSchemaEvolution, ModelEvolution, SchemaEvolution

    public interface Evolution

Field Summary
`static int` | `EVOLVE_ADD`
`static int` | `EVOLVE_CONTRACT`
`static int` | `EVOLVE_DATA`
`static int` | `EVOLVE_DELETE`
`static int` | `EVOLVE_EXTEND`
`static int` | `EVOLVE_EXTENTIONAL_SCHEMA`
`static int` | `EVOLVE_INTEGRATED_SCHEMA`
`static int` | `EVOLVE_MODEL`
`static int` | `EVOLVE_RENAME`
`static int` | `EVOLVE_SCHEMA`

Method Summary
`int` | `getEvolutionType()`
`java.lang.Object` | `processEvolution(java.lang.Object object)` Fasade method to transparently do Evolution work

Field Detail

### EVOLVE_SCHEMA

    static final int EVOLVE_SCHEMA

See Also:
  Constant Field Values

### EVOLVE_DATA

    static final int EVOLVE_DATA

See Also:
  Constant Field Values

### EVOLVE_MODEL

    static final int EVOLVE_MODEL

See Also:
  Constant Field Values

### EVOLVE_INTEGRATED_SCHEMA

    static final int EVOLVE_INTEGRATED_SCHEMA

See Also:
  Constant Field Values

### EVOLVE_EXTENTIONAL_SCHEMA

    static final int EVOLVE_EXTENTIONAL_SCHEMA

See Also:
  Constant Field Values

### EVOLVE_RENAME

    static final int EVOLVE_RENAME

See Also:
  Constant Field Values

### EVOLVE_ADD

    static final int EVOLVE_ADD

See Also:
  Constant Field Values

### EVOLVE_DELETE

    static final int EVOLVE_DELETE

See Also:
  Constant Field Values

### EVOLVE_EXTEND

    static final int EVOLVE_EXTEND

See Also:
  Constant Field Values

### EVOLVE_CONTRACT

    static final int EVOLVE_CONTRACT

See Also:
  Constant Field Values

Method Detail

### getEvolutionType

    int getEvolutionType()

### processEvolution

    java.lang.Object processEvolution(java.lang.Object object)
                                      throws EvolutionException

  Fasade method to transparently do Evolution work

  Throws:
    `EvolutionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD